Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.bridge.http
Class ContextServer

    java.lang.Object
      php.java.bridge.http.ContextServer

    public final class ContextServer

extends java.lang.Object

A bridge pattern which either uses the PipeContextServer or the SocketContextServer, depending on the OS and/or the security restrictions. There can be more than one ContextServer instance per classloader, but the ContextFactory.get() checks if it is called with the same ContextServer and throws a SecurityException otherwise. So one cannot access contexts belonging to other ContextServers.

Author:
  jostb
See Also:
  `PipeContextServer`, `SocketContextServer`

Constructor Summary
`ContextServer(ThreadPool pool)`

Method Summary
`void` | `destroy()`
`IContextServer.ChannelName` | `getFallbackChannelName(java.lang.String channelName, java.lang.String kontext, IContextFactory currentCtx)`
`boolean` | `isAvailable(java.lang.String channelName)`
`java.lang.String` | `schedule(IContextServer.ChannelName channelName)`
`void` | `start(IContextServer.ChannelName channelName)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextServer

    public ContextServer(ThreadPool pool)

Method Detail

### destroy

    public void destroy()

### isAvailable

    public boolean isAvailable(java.lang.String channelName)

### start

    public void start(IContextServer.ChannelName channelName)

### schedule

    public java.lang.String schedule(IContextServer.ChannelName channelName)

### getFallbackChannelName

    public IContextServer.ChannelName getFallbackChannelName(java.lang.String channelName,
                                                             java.lang.String kontext,
                                                             IContextFactory currentCtx)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD